/**
 * Created by rockyl on 2019-05-22.
 *
 * 自定义按钮
 */

import Button from "components/ui/Button";

export default class CustomButton extends Button {
	upLabelColorKey:string;
	disabledLabelColorKey:string;

	onCreate() {
		super.onCreate();

		const config = window['configJson'];
		if(this.upLabelColorKey){
			this.upLabelColor = config[this.upLabelColorKey];
		}
		if(this.disabledLabelColorKey){
			this.disabledLabelColor = config[this.disabledLabelColorKey];
		}
	}
}
